Subject: FindMatrix Options                                       Author: Bloody

These options can be used to tweak the behaviour of the automatix Matrix search.

New users: don't worry too much about these options (the default settings will
usually do just fine).

Search Set:

  Specifies the minimum number of unique glyphs in the subtitle to be scanned
  before starting the matrix search.

  Min.:    15
  Max.:    99999
  Default: 60

Match Set:

  Specifies the minimum number of unique glyphs in the subtitle (from the given
  Search Set) that must match one of the glyphs in a character matrix to
  consider the matrix to be a 'good' one.

  The specified value must be <= the Search Set value.

  The default value might still be a bit conservative (i.e., quite high), but
  beware that very small numbers might cause 'weak' hits, i.e., show up 'good'
  matrix files where in fact only a few simple characters match (things like
  l . , : - ' etc.) while the important (more unique) characters might be quite
  different and should therefor be put into a separate matrix. I imagine that a
  value of 35 or even 30 might still be okay, though. Just remember: better too
  high than too low.

  Min.:    10
  Max.:    99999
  Default: 40

Match Percent (very short subtitles):

  Used if the subtitle is so small that it contains less than the Search Set
  number of unique glyphs, e.g. from a short 'bonus' clip or a tiny 'Forced'
  subtitle. If this happens, FindMatrix will reduce the Search Set to the total
  number of glyphs in the subtitle and set Match Set to a percentage of that
  number (rounded up).

  For example, if the specified percent value is 75 and Search Set is 60 but the
  subtitle only contains 23 unique glyphs, Search Set will be reduced to 23 and
  Match Set will be set to 18 (rounded up from 23 * 0.75 = 17.25).

  Min.:     1 (careful: 1 would add the glyphs to virtually any matrix)
  Max.:   100
  Default: 75

Search Order for Matrix files:

  Specifies the (secondary) sort order for the matrix file search.

  The primary order is to always search in all matrix files within the same dir
  first before diving deeper into sub directories. If there are multiple subdirs
  in the same folder, those subdirs are always scanned in alphabetical order
  (ascending, not case-sensitive).

  Now, the Search Order option specifies a secondary sort order which only
  applies to matrix files within the same (sub-)dir. It can be set to one of the
  following values:

    Filename, ascending   - sort files by name (ascending, not case-sensitive)
    Filename, descending  - sort files by name (descending, not case-sensitive)
    Filesize, ascending   - sort files by size (ascending)
    Filesize, descending  - sort files by size (descending)
    None                  - no sort order for matrix files

  The default "Filesize, ascending" mode will search through small matrix files
  first before taking on the larger ones (within the same (sub-)directory).
  This allows to gradually complete the smaller ones by occasionally adding a
  few missing glyphs from the next subtitle(s), also speeding up batch
  conversion in cases where a large multi-font matrix is present in a mix with
  further small ones within the same (sub-)dir.

  Using a clear sort order allows full control over which kinds of matrix files
  to be searched first. For example, more reliable ones should be scanned before
  some imported ones from external sources, and you may also prefer to have
  extremely large matrix files always scanned last. An example directory
  structure might look like this:

    ChMatrix/
       10-Good/
          MovieX.sum
          MovieY.sum
       20-BuddyX/
          MovieA.sum
          MovieB.sum
       50-SomeWebsite/
          MovieC.sum
       ZZ-VeryLarge/
          LotsOf-1.sum
       MyMovieA.sum
       MyMovieB.sum

  In the above example, MyMovieA.sum and MyMovieB.sum will always be checked
  first because they are placed in the top-level dir. With Search Order set to
  "Filename, descending", MyMovieB.sum would be the first of the two.
  Then, 10-Good will be scanned. Eventually, the very last file checked will be
  LotsOf-1.sum.

  Default: "Filesize, ascending"

Check the last 'good' matrix first:

  This option can be used to have FindMatrix always check the last 'good' matrix
  (from a previous search) first before searching through other matrix files as
  per above rules. This helps speeding up batch processing if the current
  subtitle was created using the same font as the previous subtitle.
